function[Ax,Ay,delka_pohybu_COP,TA,stredni_polomer,RMS]=vypocet(YI,YII)
 l=[];
 TA=[];
 r=[];
 s=[];
 %výpočet amplitud
for i=1:length(YI)
   SDx_pom(i)=(YI(i)-mean(YI)).^2;
   SDy_pom(i)=(YII(i)-mean(YII)).^2;
end
SDx=sqrt((1/length(YI))*sum(SDx_pom));
Ax=4*SDx;
SDy=sqrt((1/length(YII))*sum(SDy_pom));
Ay=4*SDy;

%% Výpočet délky pohybu COP
for i= 1:(length(YI)-1)
    l(i)=sqrt(((YII(i)- YII(i+1)).^2)+((YI(i)- YI(i+1)).^2)); %vzdálenost CoP u interpolovaných dat
end
delka_pohybu_COP=sum(l);
%% Výpočet plochy TA statokinesigramu
for i=1:length(YI)
    r(i)=sqrt((YII(i)).^2+(YI(i)).^2);

end
%plocha TA
for i= 1:(length(YI)-1);
    s(i)=0.5*(r(i)+r(i+1)+l(i));
    TA_pom(i)=s(i)*(s(i)-r(i))*(s(i)-r(i+1))*(s(i)-l(i));
odmocninaTA(i)=sqrt(TA_pom(i));
end
TA=sum(odmocninaTA);

%% Výpočet středního poloměru statokinesigramu
polomer_pom=[];
for i= 1:(length(YI))
    polomer_pom(i)=(YII(i)-0).^2+(YI(i)-0).^2; %vzdálenost CoP u interpolovaných dat
%-0 protože střed jsme dali do [0,0]
end
stredni_polomer=(1/length(YI))*sum(sqrt(polomer_pom));
%% výpočet RMS
RMS=sqrt((1/length(YI))*sum(polomer_pom));
end
